<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bad_word', function (Blueprint $table) {
            $table->id();
            $table->integer("type_id")->unsigned()->comment("类型id");
            $table->string("content", 50)->comment("敏感词");
            $table->integer("admin_id")->unsigned()->comment("管理员id");
            $table->timestamps();
            $table->timestamp("deleted_at")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bad_word');
    }
};
